Subject: Re: [RFC] ip / ifconfig redesign

From: Jeroen Massar <[email-masked]>
Date: Tue, 06 Dec 2005 00:10:59 +0100

John Heffner wrote:
> Jeroen Massar wrote:
>> John Heffner wrote:
>>
>>> Jeroen Massar wrote:
>>>
>>>> I wonder how many RFC's it violates. An interface must only answer
>>>> ARP's
>>>> on the interface that it is configured on, not anything else.
>>>
>>> Not true.  See RFC 1122, section 3.3.4.  The standard leaves this
>>> decision up to the implementation, for good reason.
>>
>>
>> RFC1122 is a document about multicast. ARP is broadcast see the very old
>>  RFC826/STD0037. Multicast didn't even work on much of the hardware from
>> the times that that document was written.
> 
> ???  RFC 1122 is the Hosts Requirements RFC.  It applies to any host
> implementing IP.  Maybe you're thinking of 1112?

Oops, mixed up a number. 1122 refers to 826, with 1027 extending it
partially for situations where one is multihomed.
Section 3.3.4 of 1122 is about IP and not about ARP, which is, just like
IP directly on top of Ethernet.

Greets,
 Jeroen